from functools import partial
import mesop as me
import sys  # Add this import


@me.stateclass
class State:
    count: int = 0


@me.page()
def main():
    me.text("version=" + me.__version__)
    me.text("Python version=" + sys.version)  # Add this line
    s = me.state(State)
    me.text("count=" + str(s.count))
    me.button("click one", on_click=partial(click_one, increment=1), key="one")
    me.button("click two", on_click=partial(click_one, increment=2), key="two")


def click_one(e: me.ClickEvent, *, increment: int):
    me.text("clicked one")
    s = me.state(State)
    s.count += increment
